Bug 61137 - general protection fault: fdf8 on shutdown
general protection fault: fdf8 on shutdown
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-14 00:00 EST by fatalexception
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-27 18:34:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fatalexception 2002-03-14 00:00:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:0.9.4) Gecko/20011128
Netscape6/6.2.1

Description of problem:
When shutting down my system by using the command "shutdown -h now" or
"poweroff," the kernel has a general protection fault right after it displays
"Power down." on the screen instead of turning off my computer.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot up the system.
2. Login as a user or root and type: shutdown -h now
or type: poweroff
or if you are at the logon box, click the halt or shutdown option.
3. Everything shuts down successfully saying "[  OK  ]" at each step until at
the end where it says "Power down." the kernel then has a general protection fault.
	

Actual Results:  The output that is shown:
Unmounting filesystems:  [ OK ]
md: stopping all md devices.
Power down.
general protection fault: fdf8
CPU: 0
EIP: 0050:[<0000893d>]
EFLAGS: 00010046
eax:0000fdfa  ebx:00000001  ecx:00000001  edx:00000000
esi:00008026  edi:00000292  edp:67890000  esp:cc3f1da4
ds:0058  esi:0000  ss:0018

Process halt (pid:4478, stackpage=cc3f1000)
Then it shows all kinds of addresses here relating to the stack.

Then at the bottom it says:
code: Bad EIP balue.
/etc/rc0.d/S01halt: line 1: 4478 Segmentation fault   halt -i -d -p

Expected Results:  As I've seen on other computers, it should turn my computer
off at this stage, but that doesn't happen.  This computer has the ability to be
turned off when shutting down in Windows 98, but not in redhat 7.2.

Additional info:

I am using the Red Hat 7.2 kernel that came right off the installation CDs.  I
have tried a newer kernel version 2.4.9-21 and this behavior still exists.

Other information:
Motherboard: Gigabyte GA-5AX
CPU: AMD K6-2 500mhz processor.
BIOS: Award Modular BIOS v4.51PG
Bios version: I am using the F4 bios version from gigabyte's web site.
Memory:  256 megs of SDRAM
Comment 1 Alan Cox 2003-06-27 18:34:41 EDT
BIOS problem not kernel, closing

Note You need to log in before you can comment on or make changes to this bug.